libcdr::CDROutputElement Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libcdr::CDROutputElement Class Referenceabstract
Inheritance diagram for libcdr::CDROutputElement:

## Public Member Functions
| CDROutputElement ()
virtual | ~CDROutputElement ()
virtual void | draw (librevenge::RVNGDrawingInterface *painter)=0
virtual CDROutputElement * | clone ()=0

## Constructor & Destructor Documentation

libcdr::CDROutputElement::CDROutputElement | ( |  | ) |
| inline

virtual libcdr::CDROutputElement::~CDROutputElement | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual CDROutputElement* libcdr::CDROutputElement::clone | ( |  | ) |
| pure virtual

Implemented in libcdr::CDREndLayerOutputElement, libcdr::CDRStartLayerOutputElement, libcdr::CDREndTextObjectOutputElement, libcdr::CDRCloseParagraphOutputElement, libcdr::CDRCloseSpanOutputElement, libcdr::CDRInsertTextOutputElement, libcdr::CDROpenSpanOutputElement, libcdr::CDROpenParagraphOutputElement, libcdr::CDRStartTextObjectOutputElement, libcdr::CDRGraphicObjectOutputElement, libcdr::CDRPathOutputElement, and libcdr::CDRStyleOutputElement.

Referenced by ~CDROutputElement().

virtual void libcdr::CDROutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| pure virtual

Implemented in libcdr::CDREndLayerOutputElement, libcdr::CDRStartLayerOutputElement, libcdr::CDREndTextObjectOutputElement, libcdr::CDRCloseParagraphOutputElement, libcdr::CDRCloseSpanOutputElement, libcdr::CDRInsertTextOutputElement, libcdr::CDROpenSpanOutputElement, libcdr::CDROpenParagraphOutputElement, libcdr::CDRStartTextObjectOutputElement, libcdr::CDRGraphicObjectOutputElement, libcdr::CDRPathOutputElement, and libcdr::CDRStyleOutputElement.

Referenced by libcdr::CDRCloseParagraphOutputElement::~CDRCloseParagraphOutputElement(), libcdr::CDRCloseSpanOutputElement::~CDRCloseSpanOutputElement(), libcdr::CDREndLayerOutputElement::~CDREndLayerOutputElement(), libcdr::CDREndTextObjectOutputElement::~CDREndTextObjectOutputElement(), libcdr::CDRGraphicObjectOutputElement::~CDRGraphicObjectOutputElement(), libcdr::CDRInsertTextOutputElement::~CDRInsertTextOutputElement(), libcdr::CDROpenParagraphOutputElement::~CDROpenParagraphOutputElement(), libcdr::CDROpenSpanOutputElement::~CDROpenSpanOutputElement(), ~CDROutputElement(), libcdr::CDRPathOutputElement::~CDRPathOutputElement(), libcdr::CDRStartLayerOutputElement::~CDRStartLayerOutputElement(), libcdr::CDRStartTextObjectOutputElement::~CDRStartTextObjectOutputElement(), and libcdr::CDRStyleOutputElement::~CDRStyleOutputElement().

The documentation for this class was generated from the following file:

- CDROutputElementList.cpp